%define url_ver %(echo %{version} | cut -d. -f1,2)

Name:           rygel
Version:        0.15.0.1
Release:        1
Summary:        A UPnP v2 Media Server
Group:          Sound
License:        LGPLv2+
URL:            http://live.gnome.org/Rygel
Source0:        http://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
BuildRequires: pkgconfig(gee-1.0) >= 0.5.2
BuildRequires: pkgconfig(gio-2.0) >= 2.26
BuildRequires: pkgconfig(gssdp-1.0) >= 0.11.0
BuildRequires: pkgconfig(gssdp-1.0) <= 0.12.9999
BuildRequires: pkgconfig(gstreamer-0.10) >= 0.10.35
BuildRequires: pkgconfig(gstreamer-app-0.10) >= 0.10.28
BuildRequires: pkgconfig(gstreamer-base-0.10) >= 0.10.35
BuildRequires: pkgconfig(gstreamer-pbutils-0.10) >= 0.10.35
BuildRequires: pkgconfig(gstreamer-tag-0.10) >= 0.10.28
BuildRequires: pkgconfig(gtk+-3.0) >= 2.90.3
BuildRequires: pkgconfig(gupnp-1.0) >= 0.17.1
BuildRequires: pkgconfig(gupnp-av-1.0) >= 0.9.0
BuildRequires: pkgconfig(gupnp-vala-1.0) >= 0.10.2
BuildRequires: pkgconfig(gupnp-dlna-1.0) >= 0.6.6
BuildRequires: pkgconfig(libsoup-2.4) >= 2.34.0
BuildRequires: pkgconfig(sqlite3) >= 3.5
BuildRequires: pkgconfig(uuid) >= 1.41.3
BuildRequires:	tracker-devel
BuildRequires:	intltool
BuildRequires:	vala >= 0.14.1
Requires:	shared-mime-info
Requires:	gstreamer0.10-plugins-good
Requires:	gstreamer0.10-ffmpeg
Requires:	gstreamer0.10-plugins-bad
Requires:	gstreamer0.10-plugins-ugly

%description
Rygel is an implementation of the UPnP MediaServer V 2.0 specification that is 
specifically designed for GNOME. It is based on GUPnP and is written (mostly) 
in Vala language. The project was previously known as gupnp-media-server. 

%package devel
Summary:	Development package for %{name}
Group:		Development/Other
Requires:	%{name} = %{version}-%{release}

%description devel
Files for development with %{name}.

%package tracker
Summary:	Tracker plugin for %{name}
Group:		Sound
Requires:	%{name} = %{version}-%{release}
Requires:	tracker

%description tracker
A plugin for rygel to use tracker to locate media on the local machine.

%prep
%setup -q

%build
%configure2_5x \
        --disable-media-export-plugin \
	--enable-test-plugin \
	--enable-tracker-plugin \
	--enable-external-plugin \
	--enable-mediathek-plugin \
	--enable-gst-launch-plugin \
	--enable-playbin-plugin \
	--disable-silent-rules 
%make

%install
%makeinstall_std

%find_lang %{name}

#Remove libtool archives.
find %{buildroot} -name '*.la' -exec rm -f {} ';'

%files -f %name.lang
%doc AUTHORS COPYING README TODO NEWS
%config(noreplace) %{_sysconfdir}/rygel.conf
%{_bindir}/rygel
%{_bindir}/rygel-preferences
%dir %{_libdir}/rygel-1.0/
%{_libdir}/rygel-1.0/librygel-gst-launch.so
%{_libdir}/rygel-1.0/librygel-external.so
%{_libdir}/rygel-1.0/librygel-mediathek.so
%{_libdir}/rygel-1.0/librygel-mpris.so
%{_libdir}/rygel-1.0/librygel-playbin.so
%{_libdir}/rygel-1.0/librygel-test.so
%{_datadir}/rygel/
%{_datadir}/applications/rygel*
%{_iconsdir}/*/*/*/*
%{_mandir}/man?/*
%{_datadir}/dbus-1/services/org.gnome.Rygel1.service

%files tracker
%{_libdir}/rygel-1.0/librygel-tracker.so

%files devel
%{_includedir}/rygel-1.0/
%{_libdir}/pkgconfig/rygel-1.0.pc
%{_datadir}/vala/vapi/rygel-1.0.deps
%{_datadir}/vala/vapi/rygel-1.0.vapi


%changelog
* Wed May 30 2012 Matthew Dawkins <mattydaw@mandriva.org> 0.15.0.1-1
+ Revision: 801387
- update to new version 0.15.0.1
- update to new version 0.15.0

* Sat May 05 2012 Alexander Khrukin <akhrukin@mandriva.org> 0.14.1-1
+ Revision: 796674
- vala checks is disabled
- version update 0.14.1

* Mon Apr 18 2011 Funda Wang <fwang@mandriva.org> 0.8.3-1
+ Revision: 655774
- new version  0.8.3

* Tue Dec 07 2010 Oden Eriksson <oeriksson@mandriva.com> 0.4.12-2mdv2011.0
+ Revision: 614801
- the mass rebuild of 2010.1 packages

* Thu Apr 22 2010 Frederic Crozat <fcrozat@mandriva.com> 0.4.12-1mdv2010.1
+ Revision: 537959
- Release 0.4.12 (stable branch)
- Remove patch0 (merged upstream)

* Sat Dec 26 2009 Frederic Crozat <fcrozat@mandriva.com> 0.4.2-2mdv2010.1
+ Revision: 482405
- Patch0 (GIT): add support for libgee 0.5

* Sun Oct 04 2009 Colin Guthrie <cguthrie@mandriva.org> 0.4.2-1mdv2010.0
+ Revision: 453272
- Fix group. I've used Sound, but it's really more Multimedia but we don't have a category for that :s
- import rygel


* Fri Oct  2 2009 Peter Robinson <pbrobinson@gmail.com> 0.4.2-1
- Update to 0.4.2

* Fri Sep 25 2009 Bastien Nocera <bnocera@redhat.com> 0.4.1-1
- Update to 0.4.1

* Thu Sep 24 2009 Bastien Nocera <bnocera@redhat.com> 0.4-5
- Make sure we rebuild the C source code from vala sources

* Thu Sep 24 2009 Bastien Nocera <bnocera@redhat.com> 0.4-4
- Make the prefs work

* Thu Sep 24 2009 Peter Robinson <pbrobinson@gmail.com> 0.4-3
- Enable new plugins, add desktop file verification, add more docs

* Thu Sep 24 2009 Peter Robinson <pbrobinson@gmail.com> 0.4-2
- Update deps for new release

* Wed Sep 23 2009 Peter Robinson <pbrobinson@gmail.com> 0.4-1
- New upstream 0.4 release

* Thu Aug 20 2009 Michel Salim <salimma@fedoraproject.org> - 0.3-6
- Rebuild against compat-libgee01

* Fri Aug  7 2009 Peter Robinson <pbrobinson@gmail.com> 0.3-5
- Own rygel include dir, some spec file cleanups

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Jul  1 2009 Peter Robinson <pbrobinson@gmail.com> 0.3-3
- Rebuild with new libuuid build req

* Wed Jun  3 2009 Peter Robinson <pbrobinson@gmail.com> 0.3-2
- Split tracker plugin out to a sub package. Resolves RHBZ 507032

* Wed Jun  3 2009 Peter Robinson <pbrobinson@gmail.com> 0.3-1
- New upstream release

* Mon Mar 13 2009 Peter Robinson <pbrobinson@gmail.com> 0.2.2-3
- Add a dep on tracker as that is currently the way it finds media

* Mon Mar 2  2009 Peter Robinson <pbrobinson@gmail.com> 0.2.2-2
- Added some missing BuildReqs

* Mon Mar 2  2009 Peter Robinson <pbrobinson@gmail.com> 0.2.2-1
- Initial release
